Bug 62333 - Up2date does not check for previously downloaded rpms
Up2date does not check for previously downloaded rpms
Status: CLOSED CURRENTRELEASE
Product: Red Hat Public Beta
Classification: Retired
Component: up2date (Show other bugs)
skipjack-beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-29 14:52 EST by Rob Hughes
Modified: 2015-01-07 18:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-14 08:11:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rob Hughes 2002-03-29 14:52:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020314

Description of problem:
If a previously started up2date session is aborted for any reason, it does not
check to see if packages selected for download are already present, forcing all
packages to be redownloaded.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run up2date
2. Abort session, experience crash, etc.
3. Restart up2date and download everything again
	

Expected Results:  Up2date should check for presence of packages in local spool
directory prior to downloading.

Additional info:

This is more of an issue for modem users than anything else, but it would save
some bandwidth, especially given how its so easy to accidently abort a session
if you're doing anything else on the system and up2date pops up a window with a
cancel dialog right as you hit "enter" to get a file list or something.
Comment 1 Adrian Likins 2002-04-09 17:48:02 EDT
Hmm, well. up2date is supposed to be doing this (and does as best
I can tell).

I'll take a look and verify that there isnt something wrong in
the newest versions preventing this.
Comment 2 Michael Schwendt 2002-04-12 07:32:49 EDT
Can't get up2date to re-use already downloaded packages either.

It aborted on a missing GPG signature on today's imlib-devel-1.9.13-3.7.x.i3 and
I had to disable GPG sig checks and retry "update -u". It started to download
from the beginning, ignoring the already downloaded but new 40+ packages in
/var/spool/up2date.

$ rpm -q up2date
up2date-2.7.65-7.x.3

$ cat /etc/redhat-release 
Red Hat Linux release 7.2.93 (Skipjack)
Comment 3 Michael Schwendt 2002-04-12 08:12:30 EDT
I just see today's Skipjack-beta2 up2date update is supposed to fix this:

* Thu Apr 11 2002 Adrian Likins <alikins@redhat.com> 2.7.76

- fix the "packages always get redownloaded bug" 
Comment 4 Rob Hughes 2002-04-12 21:10:03 EDT
Seems to work now, at least for up2date. I haven't determined if up2date-gnome
still has the problem or not.
Comment 5 Michael Schwendt 2002-04-14 08:11:34 EDT
Verified as working (2.7.76-7.x.3 and 2.7.77-7.x.3, both CLI and GUI).

Note You need to log in before you can comment on or make changes to this bug.